## ros-humble-ament-cmake-test 1.3.5

=== debian/changelog ===
ros-humble-ament-cmake-test (1.3.5-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 22 Jun 2023 07:00:00 -0000

ros-humble-ament-cmake-test (1.3.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 25 Apr 2023 07:00:00 -0000

ros-humble-ament-cmake-test (1.3.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 07 Nov 2022 08:00:00 -0000

ros-humble-ament-cmake-test (1.3.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 17 May 2022 07:00:00 -0000

ros-humble-ament-cmake-test (1.3.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 28 Mar 2022 07:00:00 -0000

ros-humble-ament-cmake-test (1.3.0-1jammy) jammy; urgency=high

  * Update forthcoming version in changelog
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Feb 2022 08:00:00 -0000

ros-humble-ament-cmake-test (1.2.1-1jammy) jammy; urgency=high

  * Resolve various ament_lint linter violations (#360 <https://github.com/ament/ament_cmake/issues/360>)
    We can't add ament_lint linters in ament_cmake in the traditional way
    without creating a circular dependency between the repositories. Even
    though we can't automatically enforce linting, it's still a good idea to
    try to keep conformance where possible.
  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#362 <https://github.com/ament/ament_cmake/issues/362>)
  * Contributors: Audrow Nash, Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-humble-ament-cmake-test (1.2.0-1jammy) jammy; urgency=high

  * Use FindPython3 instead of FindPythonInterp (#355 <https://github.com/ament/ament_cmake/issues/355>)
  * Update maintainers (#336 <https://github.com/ament/ament_cmake/issues/336>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 29 Oct 2021 07:00:00 -0000

ros-humble-ament-cmake-test (1.1.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 06 May 2021 07:00:00 -0000

ros-humble-ament-cmake-test (1.1.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 09 Mar 2021 08:00:00 -0000

ros-humble-ament-cmake-test (1.1.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sat, 27 Feb 2021 06:59:00 -0000

ros-humble-ament-cmake-test (1.1.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sat, 27 Feb 2021 03:12:00 -0000

ros-humble-ament-cmake-test (1.1.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 24 Feb 2021 08:00:00 -0000

ros-humble-ament-cmake-test (1.0.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-humble-ament-cmake-test (1.0.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 10 Dec 2020 08:00:00 -0000

ros-humble-ament-cmake-test (1.0.2-1jammy) jammy; urgency=high

  * Update package maintainers. (#286 <https://github.com/ament/ament_cmake/issues/286>)
  * Contributors: Michel Hidalgo

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 07 Dec 2020 08:00:00 -0000

ros-humble-ament-cmake-test (1.0.1-1jammy) jammy; urgency=high

  * Fix skipped test reporting in CTest (#279 <https://github.com/ament/ament_cmake/issues/279>)
    This is a follow-up to c67cdf2. When the SKIP_RETURN_CODE gets set to 0,
    the value is interpreted as 'false', and the test property is never
    actually added.
  * limit test time to three decimals (#271 <https://github.com/ament/ament_cmake/issues/271>)
  * Add actual test time to xUnit result files (#270 <https://github.com/ament/ament_cmake/issues/270>)
    * Add actual test time to xUnit result files
    Fixes #269 <https://github.com/ament/ament_cmake/issues/269>
    * Report test_time even with skipped test
    * Set time attribute for testcase element
  * Contributors: Dirk Thomas, Ruffin, Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 10 Sep 2020 07:00:00 -0000

ros-humble-ament-cmake-test (1.0.0-1jammy) jammy; urgency=high

  * Add SKIP_RETURN_CODE argument to ament_add_test (#264 <https://github.com/ament/ament_cmake/issues/264>)
    This makes the run_test.py wrapper aware of the SKIP_RETURN_CODE
    property on CTest tests. In the existing implementation, the wrapper
    detects that no result file was generated and overrides the special
    return code coming from the test, making the the CTest feature fail
    completely.
    This change makes the wrapper script aware of the special return code,
    and when detected, will write a 'skipped' result file instead of a
    'failed' result file, and pass along the special return code as-is. Now
    the gtest result and the ctest results both show the test as 'skipped'
    when the special return flag is used.
    Note that none of this behavior is enabled by default, which is
    important because we wouldn't want a test to fail and return a code
    which we've decided is the special 'skip' return code. Only tests which
    are aware of this feature should use it.
  * Contributors: Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 22 Jul 2020 07:00:00 -0000

ros-humble-ament-cmake-test (0.9.6-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 23 Jun 2020 07:00:00 -0000

ros-humble-ament-cmake-test (0.9.5-1jammy) jammy; urgency=high

  * Merge pull request #253 <https://github.com/ament/ament_cmake/issues/253> from ament/use_errors_tag2
    Use errors attribute for problems when testing code (take II)

